# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# Copyright 2013 Canonical
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# Authored by: Martin Borho <martin@borho.net>

"""weather app autopilot tests and emulators - top level package."""

from ubuntuuitoolkit import emulators as toolkit_emulators


class MainView(toolkit_emulators.MainView):

    def get_tabs(self):
        """Return the LocationTabs emulator of the MainView."""
        tabs = self.wait_select_single(Tabs)
        assert tabs is not None, toolkit_emulators._NO_TABS_ERROR
        return tabs

    def wait_for_activity_to_finish(self):
        """Wait for any running activity indicator to finish"""
        try:
            self._get_activity_indicator().running.wait_for(False)
        except:
            # No activity in progress.
            pass

    def _get_activity_indicator(self):
        """Return an activity indicator"""
        return self.select_single("ActivityIndicator", running="True")


class Tabs(toolkit_emulators.UbuntuUIToolkitEmulatorBase):
    """LocationTabs Autopilot emulator."""

    def get_current_tab(self):
        """Return the currently selected tab."""
        return self.select_many('LocationTab')[self.selectedTabIndex]

    def get_number_of_tabs(self):
        """Return the number of tabs."""
        return len(self.select_many('LocationTab'))
